"use strict";

const Promise = require("bluebird");
const smartctl = require("../../../packages/exec-smartctl");

module.exports = function () {
	return function (paths) {
		return Promise.map(paths, (path) => {
			return smartctl.info({ devicePath: path });
		});
	};
};
