"use strict";

const errorChain = require("error-chain");

module.exports = {
	UnexpectedOutput: errorChain.create("UnexpectedOutput"),
	ExpectedOutputMissing: errorChain.create("ExpectedOutputMissing"),
	OutputParsingFailed: errorChain.create("OutputParsingFailed"),
	NonZeroExitCode: errorChain.create("NonZeroExitCode"),
	CommandExecutionFailed: errorChain.create("CommandExecutionFailed"),
};
