"use strict";

const Promise = require("bluebird");

const nvmeCli = require("../../../packages/exec-nvme-cli");

module.exports = function () {
	return function (controllerPaths) {
		return Promise.map(controllerPaths, (path) => {
			return nvmeCli.listNamespaces({ devicePath: path });
		});
	};
};
