"use strict";

const parseIECBytes = require("../parse-bytes-iec");

/* NOTE: This parsing module is for a special case; values that are normally handled using the Linux kernel's `memparse` function (which parses memory suffixes like K, M, G, etc.) but that do *not* semantically represent bytes. */

module.exports = function parseMemparseValue(value) {
	return parseIECBytes(value).toB().amount;
};
