"use strict";

const treecutter = require("./");
const util = require("util");

function log(value) {
	console.log(util.inspect(value, { colors: true, depth: null }));
}

let tree = [{
	name: "a",
	children: [
		{ name: "a1" },
		{ name: "a2",
			children: [
				{ name: "a2a" },
				{ name: "a2b" },
				{ name: "a2c" }
			]
		}
	]
}, {
	name: "b"
}];

let flattened = treecutter.flatten(tree);

log(flattened);

let rebuilt = treecutter.rebuild(flattened);

log(rebuilt);

